#ifndef ASPREST_H
#define ASPREST_H
#include "_asprestr.h"
#include <qscrollview.h>
#include "astrodefs.h"
#include "astrorestrictions.h"
#include <qcheckbox.h>
#include <qpopupmenu.h>

struct AspectRestrictions;
class QPixmap;

class AspRestList : public QScrollView
{
  Q_OBJECT

 public:

  friend class AspRest;

  AspRestList(QWidget* parent, const char *);
  ~AspRestList();
  void Init(struct AspectRestrictions* asr);
  void GetLen(int* a, int* b, int* c, int *d, int* e) const;
  void Inhibit(int i, bool b);
  void Check(int i, bool b);
  bool IsChecked(int i) const;

 public slots:

  void Activated (int);

 private:

  struct AspectRestrictions* Asrt;
  AspRest *Ar[Unknown_Aspect];
  void FillList(int first, int last);
  int Y, H, Item;
  QPopupMenu Qppm;
  
};

class AspRest : public _AspRestr
{ 
    Q_OBJECT

public:
    AspRest(AspRestList* arl, int i);
    ~AspRest();

public slots:
    void InfluenceSlot(const QString&);
    void OrbSlot(const QString&);
    void RestrictSlot(bool);
    void ColorButtonSlot();
 
 private:
    
    AspRestList* Arl;
    int Item;

};
#endif // ASPREST_H
