/***************************************************************************
                          astrolist.h  -  description
                             -------------------
    begin                : Mon Jan 8 2001
    copyright            : (C) 2001 by Christophe Gros
    email                : skylendar@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ASTROLIST_H
#define ASTROLIST_H

#include "../config.h"

#ifdef KDE
#include <qlist.h>
#endif

template <class L, class T> class _AstroList : public L
{
 public:

inline _AstroList()
{
#ifdef KDE
  setAutoDelete(TRUE);
#endif
}

inline unsigned int Count() const
{
#ifdef KDE
  return L::count();
#endif
}

inline void Prepend(const T* item)
{
#ifdef KDE
  L::prepend(item);
#endif
}

inline void Append(const T* item)
{
#ifdef KDE
  L::append(item);
#endif
}

inline void Insert(const T* item)
{
#ifdef KDE
  L::insert(L::at(), item);
#endif
}

inline T* First()
{
#ifdef KDE
  return L::first();
#endif
}

inline T* Last()
{
#ifdef KDE
  return L::last();
#endif
}
  
inline T *Next()
{
#ifdef KDE
  return L::next();
#endif
};

inline void Clear()
{
#ifdef KDE
  L::clear();
#endif
}

inline T* operator[](int i)
{
#ifdef KDE
  return L::at(i);
#endif
}

inline void Remove(T* item)
{
#ifdef KDE
  L::remove(item);
#endif
}

};

#ifdef KDE
#define AstroList(T) _AstroList<QList<T>, T>
typedef AstroList(AstroString)  AstroStringList;
#endif
 
#endif
