#ifndef EDITASTRODATA_H
#define EDITASTRODATA_H
#include "_editastrodata.h"

class AstroData;

class EditAstroData : public _EditAstroData
{ 
    Q_OBJECT

public:
    EditAstroData( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    EditAstroData(AstroData&);

    ~EditAstroData();

    bool Return;

public slots:
      void ActiveDaylightSlot(bool);
      void CancelSlot();
      void DateSlot(QDate);
      void DaylightSlot(bool);
      void HourSlot(int);
      void MinuteSlot(int);
      void OkSlot();
      void ChartTypeSlot(int);
      void HMSLongSlot(bool);
      void OffsetSlot(const QString&);
      void RecomputeSlot();
      void NowSlot();

private slots:
      void OffTzRecomp();

 private:
      
      int GetTz(QString s, double& d);
      void WriteError(const QString&);
      AstroData *Ad, *AdBase;
};

#endif // EDITASTRODATA_H
