#include "editchartparms.h"
#include <qcheckbox.h>

/* 
 *  Constructs a EditChartParms which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
EditChartParms::EditChartParms(ChartParams* cp)
    : _EditChartParms(0, 0, TRUE, 0)
{
  Cp = cp;
  CpBase = *Cp;
  Return = FALSE;
  DynamicResize->setChecked(CpBase.DynamicResize);
  LeftAscendant->setChecked(CpBase.LeftAscendant);
  Sidebars->setChecked(CpBase.Sidebars);		    
}

/*  
 *  Destroys the object and frees any allocated resources
 */
EditChartParms::~EditChartParms()
{
    // no need to delete child widgets, Qt does it all for us
}

/* 
 * public slot
 */
void EditChartParms::OkSlot()
{
  close();
  CpBase.DynamicResize = DynamicResize->isChecked();
  CpBase.LeftAscendant = LeftAscendant->isChecked();
  CpBase.Sidebars      = Sidebars->isChecked();
  *Cp = CpBase;
  Return = TRUE;
}
/* 
 * public slot
 */
void EditChartParms::CancelSlot()
{
  close(); 
}

