#ifndef EDITDEFPARMS_H
#define EDITDEFPARMS_H
#include "_editdefparms.h"
#include "astroparams.h"
#include <qpopupmenu.h>
#include "astrographics.h"

class EditDefParms : public _EditDefParms
{ 
    Q_OBJECT

public:
    EditDefParms(AstroParams*);
    ~EditDefParms();

    bool Return;

public slots:
    void AirColorSlot();
    void AsteroColorSlot();
    void EarthColorSlot();
    void ExoticColorSlot();
    void FireColorSlot();
    void OkButtonSlot();
    void OtherColorSlot();
    void WaterColorSlot();
    void CancelButtonSlot();
    void Activated(int);
    void DefChartParmsSlot();
    void Col0Slot(const QColor &);
    void Col10Slot(const QColor &);
    void Col11Slot(const QColor &);
    void Col12Slot(const QColor &);
    void Col13Slot(const QColor &);
    void Col14Slot(const QColor &);
    void Col15Slot(const QColor &);
    void Col1Slot(const QColor &);
    void Col2Slot(const QColor &);
    void Col3Slot(const QColor &);
    void Col4Slot(const QColor &);
    void Col5Slot(const QColor &);
    void Col6Slot(const QColor &);
    void Col7Slot(const QColor &);
    void Col8Slot(const QColor &);
    void Col9Slot(const QColor &);

 private:

 	AstroColor Ac[16];
 	void ChangeColor(const QColor&, int i);
 	void ChangeButton(QPushButton*, const QColor&);
    AstroParams* Ap, ApBase;
    QPopupMenu Qppm;
    void ChooseColor(int*);
    int Chosen;
};

#endif // EDITDEFPARMS_H
