#ifndef EDITPLACE_H
#define EDITPLACE_H
#include "astrodefs.h"
#include "_editplace.h"
#include "astrosql.h"
#include <qlistview.h>

class QString;
class AstroData;

class SearchLine: public QListViewItem
{

 public:

  inline SearchLine(Index idx, QListView* parent, const QString& Name, const QString& Latitude, const QString& Longitude, const QString& Country, Index countryidx) : QListViewItem(parent, Name, Latitude, Longitude, Country) { Idx = idx; CountryIdx = countryidx; }

  Index Idx, CountryIdx;
};

class EditPlace : public _EditPlace
{ 
    Q_OBJECT

public:

    friend class EditAstroData;

    EditPlace(QWidget* parent, const char *);
    void Init(AstroData* ad);
    ~EditPlace();
     bool Modified;

signals:

     void OffTzRecomp();

public slots:
    void DeleteSlot();
    void LatitudeSlot(const QString&);
    void LongitudeSlot(const QString&);
    void NameSlot(const QString&);
    void NewSlot();
    void ModifySlot();
    void SearchSlot();
    void Clicked(QListViewItem*);
    void CountrySlot(int);
    void CleanSlot();

 private:

    AstroRequest Arq;
    AstroData* Ad;
    int Id, Nb;
    Index Idx, *IdxPtr;
    int SearchIdx(Index) const;
    void UpdateAd(bool);
    //int GetTz(QString, double&); 
    
};

#endif // EDITPLACE_H
