#ifndef OBJRESTR_H
#define OBJRESTR_H

#include "_objrestr.h"
#include <qscrollview.h>
#include "astrodefs.h"
#include <qcheckbox.h>

struct Rest;

class ObjRestr : public _ObjRestr
{ 
    Q_OBJECT

public:
    ObjRestr(struct Rest* rest, int i);
    ~ObjRestr();

public slots:

  void RestrictSlot(bool);
  void OrbAddSlot(const QString&);
  void InfluenceSlot(const QString&);

 private:

  struct Rest* Rest;
};

class ObjRestList : public QScrollView
{
  Q_OBJECT

 public:

  ObjRestList(QWidget* parent, const char *);
  ~ObjRestList();
  void Init(struct Rest* rest);
  void GetLen(int* a, int* b, int* c, int *d) const;
  void Inhibit(int i, bool b);
  void Check(int i, bool b);
  bool IsChecked(int i) const { Or[i]->IsRestricted->isChecked(); }
   
 private:

  struct Rest* Rest;
  ObjRestr *Or[Undefined_Obj];
  void FillList(const struct Rest* rest, int first, int last);
  int Y, H;    
};

#endif // OBJRESTR_H
