
CREATE TABLE Data
(
	Idx SERIAL,
	Name VARCHAR   NOT NULL,
	BirthDay DATE  NOT NULL,
	BirthTime TIME NOT NULL,
	Gender CHAR    NOT NULL,
	ChartType Int2 DEFAULT 1,
	Daylight BOOL  DEFAULT 'f',
	TimeZone NUMERIC(5, 2) DEFAULT '0.0',
	Comment TEXT,
	PlaceIdx Int4  NOT NULL
);

CREATE INDEX Data_Name ON Data (Name) ;

INSERT INTO Data (Name, BirthDay, BirthTime, Gender, ChartType, PlaceIdx)
VALUES ('Default Data', '1-1-2000', '12:00', 'N', 1, 1);

CREATE TABLE Place
(
	Idx SERIAL,
	Name VARCHAR,
	Latitude NUMERIC(5, 2)  NOT NULL,
	Longitude NUMERIC(5, 2) NOT NULL,
	CountryIdx Int4 DEFAULT 1
);

CREATE INDEX Place_Name ON Place (Name) ;

INSERT INTO Place (Name, Latitude, Longitude, CountryIdx)
VALUES ('Default Place', 0.0, 0.0, 1) ;

CREATE TABLE Country
(
	Idx SERIAL,
	Name VARCHAR   NOT NULL,
	TZFile VARCHAR NOT NULL
);

CREATE INDEX Country_Name ON Country (Name) ;

INSERT INTO Country (Name, TZFile) VALUES('Default Country', 'GMT') ;

CREATE TABLE ObjRest
(
	Index Int4            NOT NULL,
	ObjIndex Int2         NOT NULL,
	Rest Bool             NOT NULL,
	OrbAdd  NUMERIC(4, 2) NOT NULL,
	Influence Int2        NOT NULL
);

CREATE INDEX ObjRest_Index ON ObjRest (Index);

CREATE TABLE AspRest
(
	Index Int4        NOT NULL,
	AspIndex Int2     NOT NULL,
	Rest Bool         NOT NULL,
	Orb NUMERIC(5, 2) NOT NULL,
	Color Int2        NOT NULL,
	Influence Int2    NOT NULL
);

CREATE INDEX AspRest_Index ON AspRest (Index);

CREATE TABLE Restrictions
(
	Idx SERIAL,
	Name VARCHAR   UNIQUE NOT NULL,
	Houses Bool    NOT NULL,
	Exotic Bool    NOT NULL,
	Stars Bool     NOT NULL,
	Minor Bool     NOT NULL,
	HousesSys Int2 NOT NULL,
	TrueNode Bool  NOT NULL,
	Sidereal Int2  NOT NULL
);

CREATE INDEX Restrictions_Name ON Restrictions (Name);

CREATE TABLE TypeIcons
(
	Idx SERIAL,
	Name VARCHAR NOT NULL,
	File VARCHAR NOT NULL
);

INSERT INTO TypeIcons (Name, file) VALUES('Birth/Beginning', 'beginning.png');
INSERT INTO TypeIcons (Name, file) VALUES('Death/end', 'end.png');